package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class Farmland extends Sprite<Farmland.FarmlandState> {
    public enum FarmlandState {
        NORMAL,
        WET
    }

    public Farmland() {
        loadResources(new HashMap<>() {
            {
                put(FarmlandState.NORMAL, "farmland.ans");
                put(FarmlandState.WET, "farmland_wet.ans");
            }
        }, FarmlandState.class);
    }

    public String getSprite() {
        return getSprite(FarmlandState.NORMAL);
    }

    public String getSprite(FarmlandState e) {
        return getResource(e);
    }
}
